%define upstream_name    X11-Protocol
%define upstream_version 0.56

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 9

Summary:        Perl module for the X Window System Protocol
License:        Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/X11/%{upstream_name}-%{upstream_version}.tar.bz2


BuildArch: noarch


%description
This is a module for the X Window System Protocol.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" 
%make

%check
# test needs a running X server

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/X11

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.560.0-9.mga8
+ Revision: 1498318
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.560.0-8.mga7
+ Revision: 1272741
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.560.0-7.mga6
+ Revision: 1035884
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.560.0-6.mga6
+ Revision: 929714
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.560.0-5.mga5
+ Revision: 751068
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.560.0-4.mga5
+ Revision: 686892
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.560.0-3.mga4
+ Revision: 516025
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.560.0-2.mga3
+ Revision: 374919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.560.0-1.mga1
+ Revision: 31475
- mageia rebuild
- imported package perl-X11-Protocol


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.560.0-1mdv2010.0
+ Revision: 401879
- rebuild using %%perl_convert_version

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.56-6mdv2009.0
+ Revision: 258794
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.56-5mdv2009.0
+ Revision: 246718
- rebuild

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.56-3mdv2008.1
+ Revision: 138071
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.56-2mdv2008.1
+ Revision: 133732
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.56-1mdv2007.0
+ Revision: 84297
- new version
- Import perl-X11-Protocol

* Wed Aug 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-2mdv2007.0
- Rebuild

* Wed Jan 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdk
- new version
- more spec cleaning
- fix directory ownership
- enable tests

* Mon Dec 19 2005 Erwan Velu <erwan@seanodes.com> 0.54-2mdk
- Spec cleaning (thx guillaume)

* Mon Dec 19 2005 Erwan Velu <erwan@seanodes.com> 0.54-1mdk
- Initial Release

